Documentation
Other Components
Common

## Search

This component can be used for searching. It will make API calls as you start typing the search query into the search field and show the results in the Autocomplete panel.

## Usage

Here's the basic usage of the component:

<search [appearance]="'bar'"></search>

## Properties

Name | Description | Default
--- | --- | ---
@Input() appearance: 'basic' | 'bar' | Appearance of the search. basic will show a simple search field. bar will show a dropdown bar that covers the header. | `bar`
@Input() debounce: number | Number of milliseconds to debounce the API calls. | `300`
@Input() minLength: number | Minimum length of the search value required before making API calls. | `2`
@Output() search: EventEmitter | An event emitted after search happened. | -